#game_outer_ui
{
	position:absolute;
	left:0px;
	top:0px;
	width:1400px;
	height:1000px;
}

#content1
{
	font-family: "Arial", sans-serif;

}

#act_window
{
	width:340px;
	height:50px;
	position: absolute;
	left:530px;
	top:872px;
	text-align: center;
  	color:white;
	border:1px solid gray;
	background-color:Black;
	border-radius: 18px 18px 0px 0px;
	font-family: "Arial", sans-serif;
	cursor:default;
}
#act_single_1
{
	float:left;
	height:inherit;
	width:100%;
	text-align: center;
	font-size: 20px;
	font-weight:bold;
	padding-top:1px;
	line-height: 49px;
	user-select: none;
}
#act_double_1
{
	float:left;
	height:inherit;
	width:49%;
	text-align: center;
	font-size: 20px;
	font-weight:bold;
	padding-top:1px;
	line-height: 49px;
	user-select: none;
}
#act_double_2
{
	float:left;
	height:inherit;
	width:49%;
	text-align: center;
	font-size: 20px;
	font-weight:bold;
	padding-top:1px;
	line-height: 49px;
	user-select: none;
	border-left: 1px solid gray;
}
#act_triple_1
{
	float:left;
	height:inherit;
	width:32%;
	text-align: center;
	font-size: 20px;
	font-weight:bold;
	padding-top:1px;
	line-height: 49px;
	user-select: none;
}
#act_triple_2
{
	float:left;
	height:inherit;
	width:32%;
	text-align: center;
	font-size: 20px;
	font-weight:bold;
	padding-top:1px;
	line-height: 49px;
	border-left: 1px solid gray;
	user-select: none;
}
#act_triple_3 
{
	float:left;
	height:inherit;
	width:35%;
	text-align: center;
	font-size: 20px;
	font-weight:bold;
	padding-top:1px;
	line-height: 49px;
	border-left: 1px solid gray;
	user-select: none;
}

.act_disabled
{
	color:rgb(83, 0, 0) !important;
}

.act_green
{
	color:rgb(0, 105, 0) !important;
	cursor: pointer;
}
.act_green:hover
{
	color:rgb(0, 219, 0) !important;
	cursor: pointer;
}

.act_white
{
	color:rgb(143, 143, 143) !important;
	cursor: pointer;
}
.act_white:hover
{
	color:rgb(219, 219, 219) !important;
	cursor: pointer;
}

.act_red
{
	color:rgb(153, 0, 0) !important;
	cursor: pointer;
}
.act_red:hover
{
	color:rgb(204, 0, 0) !important;
	cursor: pointer;
}
.act_blue
{
	color:rgb(75, 68, 180) !important;
	cursor: pointer;
}
.act_blue:hover
{
	color:rgb(99, 89, 236) !important;
	cursor: pointer;
}


#ready_window
{
  width:200px;
	height:50px;
	position: absolute;
	left:600px;
	top:872px;
	text-align: center;
  color:white;
	border:1px solid gray;
	background-color:Black;
  border-radius: 18px 18px 0px 0px;
	font-family: "Arial", sans-serif;
	cursor:default;
}

#ready_title
{
  text-align: left;
	padding-left:13px;
	padding-bottom: 2px;
}

#ready_text
{
	height:inherit;
	width:62%;
	float:left;
	user-select: none;
}

.ready_line
{

	float:left;
	font-size:13px;
	line-height:12px;
	padding-left:10px
}

#ready_button
{
  float:left;
	height:inherit;
	width:37%;
	text-align: center;
	font-size: 20px;
	font-weight:bold;
	padding-top:1px;
	line-height: 49px;
	border-left: 1px solid gray;
	color:rgb(83, 0, 0);
	
	user-select: none;
}

.ready_button_unclicked
{
	color:rgb(0, 46, 0) !important;
	cursor:pointer;
}

.ready_button_unclicked:hover
{
	color:rgb(0, 105, 0) !important;
	cursor:pointer;
}

.ready_button_clicked
{
	color:rgb(0, 219, 0) !important;
	cursor:pointer;
}


#help
{

  width:20px;
	height:20px;
	background-color:Black;
	position: absolute;
	left:1390px;
	top:890px;
	font-family: "Arial", sans-serif;
	text-align: center;
  color:gray;
	outline: 1px solid gray;
	outline-offset: -1px;
	
  border-radius: 15px;
	cursor: pointer;
	z-index: 99;
}

#help:hover
{
	color:green;
	outline: 1px solid green;
}

#help_popup
{

	position:absolute;
	width:100%;
	height:930px;
	opacity: 0.5;
	background-color:black;
	left:0px;
	top:0px;
	z-index: 98;
  
	pointer-events: none;


	
	background-image: url("../res/help/help_error.jpg");
	background-repeat: no-repeat;
	background-position: center;
}


.component_row
{
	white-space: nowrap;
	overflow:hidden;
	text-overflow:clip;
}

#game 
{
	display: inline-block;
}

#g_round_actions
{
	width:inherit;
	height:inherit;;
	position: absolute;
}

#g_selection
{
}

#g_turn
{
	width:fit-content;
	padding-left:10px;
	padding-right:10px;
	margin-top:80px;
	border:0px;
}


#g_pilot
{
	position: absolute;
	left:146px;
	top:115px;
	text-align: center;
	width:100px;
}

.slot_useless
{
	color:gray;
}

#g_doll
{
	width:222px;
	height:190px;
	position: absolute;
	top:232px;
}

#g_doll_armor 
{
  width:inherit;
	height: inherit;
	position: absolute;
	left:5px;
}

#g_doll_struct 
{
  width:inherit;
	height: inherit;
	position: absolute;
	left:250px;
}

.hover_highlight
{
	color:green;
	cursor:pointer;
}

.hover_highlight_destroyed
{
	text-decoration: line-through;
	color:rgb(255, 136, 0) !important;
	cursor:pointer;
}


.destroyed
{
	text-decoration: line-through;
	color:red;
}

#g_doll_armor div
{
  width:inherit;
	height: inherit;
	position: absolute;
}

#g_doll_struct div
{
  width:inherit;
	height: inherit;
	position: absolute;
}


.g_hp
{
	font-family: "Arial Black", Gadget, sans-serif;
	color:black;
	width:21px !important;
	height:19px !important;
	text-align:center;
	font-size:13px;
}

#gc_spacer
{
	border:none;
	padding-right:2px
}
#gc_spacer div
{
	width:inherit;
	text-align: center;
	font-size:25px !important;
	line-height: 31px !important;
}

#hp_aLT
{
	left:33px;
	top:18px;
}
#hp_aRT
{
	left:78px;
	top:18px;
}
#hp_aHD
{
	left:56px;
}
#hp_aLA
{
	left:3px;
	top:18px;
}
#hp_aRA
{
	left:109px;
	top:18px;
}
#hp_aCT
{
	left:56px;;
	top:50px;
}
#hp_aLL
{
	left:35px;;
	top:120px;
}
#hp_aRL
{
	left:77px;;
	top:120px;
}

#hp_aRTC
{
	left:178px;;
	top:58px;
}
#hp_aRTL
{
	left:199px;;
	top:18px;
}
#hp_aRTR
{
	left:157px;;
	top:18px;
}

#hp_sLT
{
	left:33px;
	top:18px;
}
#hp_sRT
{
	left:78px;
	top:18px;
}
#hp_sHD
{
	left:56px;
}
#hp_sLA
{
	left:3px;
	top:18px;
}
#hp_sRA
{
	left:109px;
	top:18px;
}
#hp_sCT
{
	left:56px;;
	top:50px;
}
#hp_sLL
{
	left:35px;;
	top:120px;
}
#hp_sRL
{
	left:77px;;
	top:120px;
}

#g_weapons
{
	position:absolute;
	width:100%;
	height:150px;
  border:1px solid white;
	top:76px;
}

.g_weapon_left
{
	position:absolute;
	border:1px dotted gray;
	width:50%;
}
.g_weapon_right
{
	position:absolute;
	border:1px dotted gray;
	left:50%;
	width:50%;
}

.weapon_row
{
  font-size:15px;
	margin-left:5px;
}


#g_info
{
	position:absolute;
  border:1px solid white;
	width:100%;
	height:75px;
	font-size:20px;
}

.g_info_left
{
	padding-top:4px;
	position:absolute;
	width:70%;
}

.g_info_right
{
	padding-top:4px;
	position:absolute;
	left:70%;
	width:28%;
	padding-right:10px;
	text-align:right;
}

.info_row
{
	margin-left:5px;
}

#g_components
{
	position: absolute;
	top:425px;
	height:446px;
}

#g_components div
{
  	font-size:12px;
	  line-height: 13px;
}

.gc_section
{
	float:left;
	border:1px dotted white;
	width:128px;
}

.gc_section h3
{
  text-align: center;
  	font-size:14px;
	  line-height: 16px;
}

.gc_half_section
{
	float:left;
	border:1px dotted white;
	width:128px;
}

.gc_half_section h3
{
  text-align: center;
  	font-size:14px;
	  line-height: 16px;
}


.g_phase
{
	margin-left:6px;
	margin-right:6px;
	border:2px solid gray;
	border-radius: 10px;
	padding-bottom:4px;
	padding-top:4px;
}

.g_phase h3
{
	text-align: center;
}

.current
{
	padding-left:4px;
	padding-right:4px;
	padding-bottom:2px;
	text-align:center;
}

.g_next {
	width: 0;
	height: 0;
	border: 10px solid transparent;
	border-bottom: 20px solid gray;
	position: relative;
	top: -20px;
	left:45%;
}
.g_next:after {
	content: '';
	position: absolute;
	left: -21px;
	top: 20px;
	width: 0;
	height: 0;
	border: 20px solid transparent;
	border-top: 20px solid gray;
}

.g_next_complete {
	width: 0;
	height: 0;
	border: 10px solid transparent;
	border-bottom: 20px solid rgb(36, 126, 14);
	position: relative;
	top: -20px;
	left:45%;
}
.g_next_complete:after {
	content: '';
	position: absolute;
	left: -21px;
	top: 20px;
	width: 0;
	height: 0;
	border: 20px solid transparent;
	border-top: 20px solid rgb(36, 126, 14);
}


#gc_spacer_info
{
	padding-top:2px;
	position:absolute;
	width:127px;
	height:77px;
	top:96px;
	left:131px;
	text-align: center;
}

#gc_spacer_info div
{
	font-size: 16px !important;
	line-height:18px !important;
}


#gc_hd
{

}

#gc_lt
{

}

#gc_rt
{
}
#gc_ct
{
}
#gc_la
{
}
#gc_rl
{
}
#gc_ra
{
}
#gc_ll
{
}
#gc_rtr
{
}
#gc_rtc
{
}
#gc_rtl
{
}

.pd_full
{
	filter: drop-shadow(0 1000px 0 #ffffff) !important;
}

.pd_hit
{
	filter: drop-shadow(0 1000px 0 #fff4c8) !important;
}

.pd_full_struct
{
	filter: drop-shadow(0 1000px 0 #D3D3D3) !important;
}

.pd_hit_struct
{
	filter: drop-shadow(0 1000px 0 #b6b583) !important;
}

.pd_damaged
{
	filter: drop-shadow(0 1000px 0 #FDD017) !important;
}

.pd_critical
{
	filter: drop-shadow(0 1000px 0 #ff0000) !important;
}

.pd_destroyed
{
	filter: drop-shadow(0 1000px 0 #181818) !important;
}

#gd_HD
{
	background-image: url("../res/paperdoll/HD.png");
	filter: drop-shadow(0 1000px 0 white);
  transform: translateY(-1000px);
}
#gd_LT
{
	background-image: url("../res/paperdoll/LT.png");
	filter: drop-shadow(0 1000px 0 white);
  transform: translateY(-1000px);
}

#gd_RT
{
	background-image: url("../res/paperdoll/RT.png");
	filter: drop-shadow(0 1000px 0 white);
  transform: translateY(-1000px);
}
#gd_CT
{
	background-image: url("../res/paperdoll/CT.png");
	filter: drop-shadow(0 1000px 0 white);
  transform: translateY(-1000px);
}
#gd_LA
{
	background-image: url("../res/paperdoll/LA.png");
	filter: drop-shadow(0 1000px 0 white);
  transform: translateY(-1000px);
}
#gd_RL
{
	background-image: url("../res/paperdoll/RL.png");
	filter: drop-shadow(0 1000px 0 white);
  transform: translateY(-1000px);
}
#gd_RA
{
	background-image: url("../res/paperdoll/RA.png");
	filter: drop-shadow(0 1000px 0 white); /* #161616); broken limb example*/
  transform: translateY(-1000px);
}
#gd_LL
{
	background-image: url("../res/paperdoll/LL.png");
	filter: drop-shadow(0 1000px 0 white);
  transform: translateY(-1000px);
}
#gd_RTR
{
	background-image: url("../res/paperdoll/RTR.png");
	filter: drop-shadow(0 1000px 0 white);
  transform: translateY(-1000px);
}
#gd_RTC
{
	background-image: url("../res/paperdoll/RTC.png");
	filter: drop-shadow(0 1000px 0 white);
  transform: translateY(-1000px);
}
#gd_RTL
{
	background-image: url("../res/paperdoll/RTL.png");
	filter: drop-shadow(0 1000px 0 white);
  transform: translateY(-1000px);
}



#gd_HD_struct
{
	background-image: url("../res/paperdoll/HD.png");
	filter: drop-shadow(0 1000px 0 #D3D3D3);
  transform: translateY(-1000px);
}
#gd_LT_struct
{
	background-image: url("../res/paperdoll/LT.png");
	filter: drop-shadow(0 1000px 0 #D3D3D3);
  transform: translateY(-1000px);
}

#gd_RT_struct
{
	background-image: url("../res/paperdoll/RT.png");
	filter: drop-shadow(0 1000px 0 #D3D3D3);
  transform: translateY(-1000px);
}
#gd_CT_struct
{
	background-image: url("../res/paperdoll/CT.png");
	filter: drop-shadow(0 1000px 0 #D3D3D3);
  transform: translateY(-1000px);
}
#gd_LA_struct
{
	background-image: url("../res/paperdoll/LA.png");
	filter: drop-shadow(0 1000px 0 #D3D3D3);
  transform: translateY(-1000px);
}
#gd_RL_struct
{
	background-image: url("../res/paperdoll/RL.png");
	filter: drop-shadow(0 1000px 0 #D3D3D3);
  transform: translateY(-1000px);
}
#gd_RA_struct
{
	background-image: url("../res/paperdoll/RA.png");
	filter: drop-shadow(0 1000px 0 #D3D3D3);
  transform: translateY(-1000px);
}
#gd_LL_struct
{
	background-image: url("../res/paperdoll/LL.png");
	filter: drop-shadow(0 1000px 0 #D3D3D3);
  transform: translateY(-1000px);
}


#playboard
{
	position:absolute;
	left:1406px;
	top:0px;
	width:390px;
	height:900px;
	border:2px solid gray;
}

.mm_grid
{
	width:30px;
}

#tab_bar
{
	float:left;
	width:97%;
	padding-left:1.5%;
	padding-right:1.5%;
}
.tab
{
	float:left;
	width:33.3%;
	padding-top:5px;
	padding-bottom:1px;
	text-align: center;
	font-size: 20px;
	background-color: Black;
	cursor:pointer;
}

h3
{
	margin:0px;
}


.active_tab
{
	float:left;
	width:33.3%;
	padding-top:5px;
	padding-bottom:1px;
	text-align: center;
	font-size: 20px;
	background-color:white;
	color:black;
	cursor:default;
}

.content
{
	position:absolute;
	background-color:black;
	width:inherit;
	height:96.8%;
	top:3%;
}

.cLine
{
	margin-bottom:3px;
	margin-left:3px;
	margin-right:2px;
}

#console
{
	height:100%;
	width:100%;
}
#messages
{
	position:absolute;
	margin-bottom:3px;
	width:100%;
	bottom:3.5%;
	height:96%;
	overflow:auto;
}

#sheets_upload
{
	position:absolute;
	width:100%;
	height:900px;
	opacity: 0.8;
	background-color:gray;
	left:0px;
	top:0px;
	z-index: 99;
	background-image: url("../res/img/sheetslogo.png");
	background-repeat: no-repeat;
	background-position: center;
  
	pointer-events: none;
}

#sheets_upload img
{
	display: block;
	margin: auto;
	width: 50%;
}

#input_bar
{
	position:absolute;
	bottom:0;
	width:100%;
	height:25px;
	padding-top:4px;
}

#input_bar input
{
	width:95%;
	margin-left:5px;
}

.cPlayer
{
	color:orange;
	margin-right:3px;
}

.cOpponent
{
	color:greenyellow;
	margin-right:3px;
}

.cSystem
{
	color:gray;
	margin-right:3px;
}

.cServer
{
	color:teal;
	margin-right:3px;
}

#controls {
	float : left;
}

#debug
{
	padding-left : 35px;
}

.selected img
{
    outline: 3px solid red;
    outline-offset: -3px;
}


.info div
{
	border:1px solid darkgray;
	padding-bottom:8px;
	padding-left:5px;
	margin-left:5px;
	margin-right:5px;
	margin-bottom:3px;
	line-height:1.1;
}


#palette
{
	position:absolute;
	margin-bottom:3px;
	width:100%;
	bottom:3px;
	height:89%;
	overflow:auto;
	padding-left:10px;
}

.paint
{
	cursor:pointer;
	float:left;
	width:33%;
	
}


.paint_name
{
	position: absolute;
	font-size: 20px;
}

.paint_icon
{
}



body 
{
	background-color: black;
	color:white;
	overflow: hidden;
}

.link:link {
	color: hotpink;
}

.link:visited {
	color: hotpink;
}

.link:hover {
	color: white;
}

.link:active {
	color: gray;
} 
